Upscale CRM agents count by an amounts
This endpoint allows you to increase the agents count in your CRM.
During a purchase request you determine the maximum amount of agents, that can be registered in your CRM. This endpoint allows you to increase that value by a certain amount of agents. If you pass a value less than or equal 0, you will receive a validation error.
The id path parameter represents the unique CRM subscription plan identifier.
CRM plan IDs must be retrieved from the following endpoint: GET /api/v1/crm/subscriptions. Also, from this endpoint you can retrieve current agents_count value of your CRM.
Each CRM plan returned by that endpoint contains a unique id field that should be used for single subscription management API calls.
Path Parameters
CRM subscription unique id
1 <= valueHeader Parameters
Your API token
Request Body
application/json
CRM upscale request
Response Body
application/json
application/json
application/json
application/json
curl -X PATCH "https://api-e.teliqon.io/api/v1/crm/subscriptions/1/upscale" \ -H "Authorization: string" \ -H "Content-Type: application/json" \ -d '{}'{
"code": 0,
"message": "string",
"request_id": "string",
"status": "ok"
}{
"code": 0,
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "error"
}{
"code": 0,
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "error"
}{
"code": 0,
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "error"
}